Index: tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,67 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 2. (un)select all atoms inside cuboid
+
+
+AT_SETUP([Unselection - All atoms inside cuboid])
+AT_KEYWORDS([unselection atom cuboid unselect-atoms-inside-cuboid])
+
+file=allatomsinsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --unselect-atoms-inside-volume 0 -r --no-dry-run --store-session session-selection-unselect-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-cuboid.py >session-selection-unselect-atoms-inside-cuboid_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-cuboid_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/post/allatomsinsidecuboid.xyz], 0, [ignore], [ignore])
+
+# check size of cuboid
+AT_SKIP_IF([! awk '' < /dev/null])  # check whether awk is there
+AT_SKIP_IF([! cat >/dev/null < /dev/null])  # check whether cat is there
+AT_SKIP_IF([! wc -l /dev/null])  # check whether wc is there
+AT_CHECK([cat < $file | awk -F" " '{ if (($2 < 10) || ($3 < 10) || ($4 < 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+AT_CHECK([cat < $file | awk -F" " '{ if (($2 > 10) && ($3 > 10) && ($4 > 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms inside cuboid with Undo])
+AT_KEYWORDS([unselection atom cuboid unselect-atoms-inside-cuboid undo])
+
+file=allatomsinsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --unselect-atoms-inside-volume  --undo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-cuboid.py >session-selection-unselect-atoms-inside-cuboid_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-cuboid_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/post/empty.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms inside cuboid with Redo])
+AT_KEYWORDS([unselection atom cuboid unselect-atoms-inside-cuboid redo])
+
+file=allatomsinsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --unselect-atoms-inside-volume  --undo --redo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-cuboid.py >session-selection-unselect-atoms-inside-cuboid_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-cuboid_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/post/allatomsinsidecuboid.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
